# --> 1. Export keyfile and certificate from  pkcs12 container to pem
openssl pkcs12 -in OPCUA-Client-S7-1500.p12 -out OPCUA-Client-S7-1500_cert.pem -clcerts -nokeys
openssl pkcs12 -in OPCUA-Client-S7-1500.p12 -out OPCUA-Client-S7-1500_key.pem -nocerts -nodes

# --> 2. Convert certificate from pem to der
openssl x509 -outform der -in OPCUA-Client-S7-1500_cert.pem  -out OPCUA-Client-S7-1500_cert.der

# --> 3. Verify URI in certificate -- view certificate
openssl x509 -in OPCUA-Client-S7-1500_cert.der -inform der -text -noout

# --> 4. Verify URI in certificate -- view URI only
openssl x509 -in OPCUA-Client-S7-1500_cert.der -inform der -text -noout | grep URI
